## networkmanagement 0.9~svngit.nm09.20110610.0c83d8

=== CMakeLists.txt ===
project(plasma-networkmanagement)

option(INSTALL_KNM_AUTOSTART "Install the autostart file for knetworkmanager. Warning: This prevents the plasmoid from working properly")
set (MINIMUM_NM_VERSION_REQUIRED "0.8.9997")

find_package(KDE4 REQUIRED)
include (KDE4Defaults)
include(MacroOptionalAddSubdirectory)
include(TestBigEndian)

#indicate endianness to hashing functions
TEST_BIG_ENDIAN(BIGENDIAN)
if (BIGENDIAN)
#can't just place WORDS_BIGENDIAN in TEST_BIGENDIAN as our code uses #ifndef
   set(WORDS_BIGENDIAN 1)
endif (BIGENDIAN)

set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR} ${CMAKE_MODULE_PATH})
macro_optional_find_package(MobileBroadbandProviderInfo)
macro_log_feature(MOBILEBROADBANDPROVIDERINFO_FOUND "mobile-broadband-provider-info" "Database of mobile broadband service providers" "http://live.gnome.org/NetworkManager/MobileBroadband/ServiceProviders" FALSE "" "Needed for Mobile Connection Wizard support in Broadband Modem Management")

add_definitions (${QT_DEFINITIONS} ${KDE4_DEFINITIONS})
include_directories (${KDE4_INCLUDES})

#include(ConfigureChecks.cmake)

find_package(NetworkManager ${MINIMUM_NM_VERSION_REQUIRED})

macro_log_feature(NETWORKMANAGER_FOUND "NetworkManager headers" "User controllable networking" "http://projects.gnome.org/NetworkManager" FALSE "0.9" "Needed for NetworkManager support in Network Management")
if (NETWORKMANAGER_FOUND)
    macro_ensure_version(${MINIMUM_NM_VERSION_REQUIRED} ${NETWORKMANAGER_VERSION} NM_0_9)
    find_package(GLIB2 REQUIRED)

    configure_file(backends/NetworkManager/config-nm09backend.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/backends/NetworkManager/config-nm09backend.h )

    if (NM_0_9)
        add_definitions(-DMINIMUM_NM_VERSION_REQUIRED=\\"${MINIMUM_NM_VERSION_REQUIRED}\\")
        include_directories(
           ${NETWORKMANAGER_INCLUDE_DIRS}
           ${NM-UTIL_INCLUDE_DIRS}
           ${GLIB2_INCLUDE_DIR}
           ${CMAKE_CURRENT_BUILD_DIR}
           solidcontrolfuture/libs
           ${KDE4_INCLUDE_DIR}/solid/control
        )

        add_subdirectory(solidcontrolfuture)
        add_subdirectory(applet)
        add_subdirectory(backends)
        add_subdirectory(dataengine)
        add_subdirectory(libs)
        add_subdirectory(tests)
        add_subdirectory(settings)
        add_subdirectory(vpnplugins)
        add_subdirectory(kded)

        # This is unmaintained, do not use it.
        #add_subdirectory(monolithic)

        install( FILES networkmanagement.notifyrc DESTINATION ${DATA_INSTALL_DIR}/networkmanagement )
        install( DIRECTORY DESTINATION ${DATA_INSTALL_DIR}/networkmanagement/certificates)

        if (DBUS_SYSTEM_POLICY_DIR)
            install( FILES NetworkManager-kde4.conf DESTINATION ${DBUS_SYSTEM_POLICY_DIR})
        else (DBUS_SYSTEM_POLICY_DIR)
            message(STATUS "It is necessary to specify the directory where the client policy file for NetworkManager-kde4 is installed as DBUS_SYSTEM_POLICY_DIR.  Normally this is /etc/dbus-1/system.d on a Linux system")
        endif (DBUS_SYSTEM_POLICY_DIR)
    else(NM_0_9)
        message("ERROR: NetworkManager version '${NETWORKMANAGER_VERSION}' does not match minimum required (${MINIMUM_NM_VERSION_REQUIRED})")
        return()
    endif(NM_0_9)
endif(NETWORKMANAGER_FOUND)

if(INSTALL_KNM_AUTOSTART)
    message("Installing autostart file for knm, use cmake -DINSTALL_KNM_AUTOSTART=ON to switch it on. Note that this will break the plasmoid. For this to work, make sure the kded DBus service is NOT loaded.")
endif(INSTALL_KNM_AUTOSTART)

macro_display_feature_log()

=== applet/CMakeLists.txt ===
include_directories(${CMAKE_CURRENT_SOURCE_DIR}/../libs/client
                    ${CMAKE_CURRENT_SOURCE_DIR}/../libs/internals
                    ${CMAKE_CURRENT_SOURCE_DIR}/../libs/ui
                    ${CMAKE_CURRENT_SOURCE_DIR}/../libs
                    ${CMAKE_CURRENT_SOURCE_DIR}/../backends/NetworkManager
                    ${CMAKE_CURRENT_BINARY_DIR}
                    ${CMAKE_CURRENT_BINARY_DIR}/../libs/internals
   )

set(networkmanager_SRCS
    networkmanager.cpp

    nmpopup.cpp
    activatablelistwidget.cpp

    interfaceitem.cpp
    wirelessinterfaceitem.cpp
    vpninterfaceitem.cpp
    interfacedetailswidget.cpp

    activatableitem.cpp
    interfaceconnectionitem.cpp
    wirelessnetworkitem.cpp
    hiddenwirelessnetworkitem.cpp
    wirelessstatus.cpp
    gsminterfaceconnectionitem.cpp

    ../libs/service/events.cpp
    )

kde4_add_plugin(plasma_applet_networkmanagement ${networkmanager_SRCS})

target_link_libraries(plasma_applet_networkmanagement ${KDE4_PLASMA_LIBS} knmclient knminternals knm_nm ${KDE4_KIO_LIBS} ${KDE4_SOLID_LIBS} solidcontrol solidcontrolnm09)

install(TARGETS plasma_applet_networkmanagement DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES plasma-applet-networkmanagement.desktop DESTINATION ${SERVICES_INSTALL_DIR})

add_subdirectory(icons)

# We only install the theme for the version where it isn't in SVN
macro_ensure_version("4.4.76" ${KDE_VERSION} IS45)
if (NOT IS45)
    install(FILES
        network.svgz
        DESTINATION ${DATA_INSTALL_DIR}/desktoptheme/default/icons/)
    target_link_libraries(plasma_applet_networkmanagement ${KDE4_KUTILS_LIBS})
else (NOT IS45)
    target_link_libraries(plasma_applet_networkmanagement ${KDE4_KCMUTILS_LIBS})
endif (NOT IS45)

=== libs/client/CMakeLists.txt ===
add_subdirectory(tests)

include_directories(
   ${CMAKE_CURRENT_SOURCE_DIR}
   ${CMAKE_CURRENT_SOURCE_DIR}/../internals
   ${CMAKE_CURRENT_BINARY_DIR}
   )

set(knmclient_SRCS
   remoteactivatable.cpp
   remoteinterfaceconnection.cpp
   remoteunconfiguredinterface.cpp
   remotevpninterfaceconnection.cpp
   remotewirelessobject.cpp
   remotewirelessinterfaceconnection.cpp
   remotewirelessnetwork.cpp
   remoteactivatablelist.cpp
   remotegsminterfaceconnection.cpp
)

set_source_files_properties( ../service/interfaces/org.kde.networkmanagement.xml PROPERTIES NO_NAMESPACE TRUE CLASSNAME NetworkManagementInterface)

QT4_ADD_DBUS_INTERFACE(knmclient_SRCS
   ../service/interfaces/org.kde.networkmanagement.xml
   networkmanagementinterface
   )

set_source_files_properties( ../service/interfaces/org.kde.networkmanagement.activatable.xml PROPERTIES NO_NAMESPACE TRUE CLASSNAME ActivatableInterface)

QT4_ADD_DBUS_INTERFACE(knmclient_SRCS
   ../service/interfaces/org.kde.networkmanagement.activatable.xml
   activatableinterface
   )

set_source_files_properties( ../service/interfaces/org.kde.networkmanagement.interfaceconnection.xml PROPERTIES NO_NAMESPACE TRUE CLASSNAME InterfaceConnectionInterface)

QT4_ADD_DBUS_INTERFACE(knmclient_SRCS
   ../service/interfaces/org.kde.networkmanagement.interfaceconnection.xml
   interfaceconnectioninterface
   )

set_source_files_properties( ../service/interfaces/org.kde.networkmanagement.wirelessinterfaceconnection.xml PROPERTIES NO_NAMESPACE TRUE CLASSNAME WirelessInterfaceConnectionInterface)

QT4_ADD_DBUS_INTERFACE(knmclient_SRCS
   ../service/interfaces/org.kde.networkmanagement.wirelessinterfaceconnection.xml
   wirelessinterfaceconnectioninterface
   )

set_source_files_properties( ../service/interfaces/org.kde.networkmanagement.wirelessnetwork.xml PROPERTIES NO_NAMESPACE TRUE CLASSNAME WirelessNetworkInterface)

QT4_ADD_DBUS_INTERFACE(knmclient_SRCS
   ../service/interfaces/org.kde.networkmanagement.wirelessnetwork.xml
   wirelessnetworkinterface
   )

set_source_files_properties( ../service/interfaces/org.kde.networkmanagement.gsminterfaceconnection.xml PROPERTIES NO_NAMESPACE TRUE CLASSNAME GsmInterfaceConnectionInterface)

QT4_ADD_DBUS_INTERFACE(knmclient_SRCS
   ../service/interfaces/org.kde.networkmanagement.gsminterfaceconnection.xml
   gsminterfaceconnectioninterface
   )

kde4_add_library(knmclient SHARED ${knmclient_SRCS})

target_link_libraries(knmclient ${QT_QTCORE_LIBRARY} ${QT_QTDBUS_LIBRARY} ${KDE4_KDECORE_LIBS} ${KDE4_SOLID_LIBS} solidcontrol solidcontrolnm09)

set_target_properties(knmclient PROPERTIES
   VERSION ${GENERIC_LIB_VERSION}
   SOVERSION ${GENERIC_LIB_SOVERSION}
   )

install(TARGETS knmclient ${INSTALL_TARGETS_DEFAULT_ARGS})

=== libs/internals/CMakeLists.txt ===
add_definitions(-DKDE_DEFAULT_DEBUG_AREA=51010)

include_directories(
   ${CMAKE_CURRENT_SOURCE_DIR}
   ${CMAKE_CURRENT_BINARY_DIR}
   ${CMAKE_CURRENT_SOURCE_DIR}/../../solidcontrolfuture
   ${CMAKE_CURRENT_SOURCE_DIR}/../libs/client
   ${CMAKE_CURRENT_SOURCE_DIR}/../../backends/NetworkManager
   ${CMAKE_CURRENT_SOURCE_DIR}/../../libs
   )

## next target: internals layer library

set(knminternals_SRCS
   connection.cpp

   setting.cpp

   secrets.cpp

   #settings/pbkdf2.cpp
   #settings/wephash.cpp

   settings/802-11-wireless-security.cpp
   settings/802-11-wireless-securitysecrets.cpp

   settings/802-11-wireless.cpp

   settings/802-3-ethernet.cpp

   settings/802-1x.cpp
   settings/802-1xsecrets.cpp

   settings/gsm.cpp
   settings/gsmsecrets.cpp

   settings/cdma.cpp
   settings/cdmasecrets.cpp

   settings/ipv4.cpp

   settings/ipv6.cpp

   settings/ppp.cpp

   settings/pppoe.cpp
   settings/pppoesecrets.cpp

   settings/serial.cpp

   settings/vpn.cpp
   settings/vpnsecrets.cpp

   settings/bluetooth.cpp

   activatable.cpp
   interfaceconnection.cpp
   interfaceconnectionhelpers.cpp
   hiddenwirelessinterfaceconnection.cpp
   wirelessinterfaceconnection.cpp
   wirelessinterfaceconnectionhelpers.cpp
   wirelessobject.cpp
   wirelessnetwork.cpp
   unconfiguredinterface.cpp
   vpninterfaceconnection.cpp
   vpninterfaceconnectionhelpers.cpp
   gsminterfaceconnection.cpp
   gsminterfaceconnectionhelpers.cpp

   # helper class for recognising the type of WPA secrets
   wpasecretidentifier.cpp

   # helper class for identifying wireless security
   wirelesssecurityidentifier.cpp

   # helper functions for storing tooltip keys and UI strings
   tooltips.cpp
   # helper functions to obtain UI strings for various enums
   uiutils.cpp
   )

kde4_add_kcfg_files(knminternals_SRCS knmserviceprefs.kcfgc)

kde4_add_library(knminternals SHARED ${knminternals_SRCS})

target_link_libraries(knminternals knmclient solidcontrolfuture ${KDE4_KDEUI_LIBS} ${QT_QTXML_LIBRARY} ${KDE4_SOLID_LIBS} solidcontrol solidcontrolnm09 ${QT_QTNETWORK_LIBRARY})

set_target_properties(knminternals PROPERTIES
   VERSION ${GENERIC_LIB_VERSION}
   SOVERSION ${GENERIC_LIB_SOVERSION}
   )
install(TARGETS knminternals ${INSTALL_TARGETS_DEFAULT_ARGS})

set(kconfig_compiler_SRCS kconfig_compiler.cpp)

kde4_add_executable(knm_compiler NOGUI RUN_UNINSTALLED ${kconfig_compiler_SRCS})

target_link_libraries(knm_compiler  ${QT_QTCORE_LIBRARY} ${QT_QTXML_LIBRARY} )

=== libs/service/CMakeLists.txt ===
add_definitions(-DKDE_DEFAULT_DEBUG_AREA=51011)

include_directories(
   ${CMAKE_CURRENT_SOURCE_DIR}
   ${CMAKE_CURRENT_SOURCE_DIR}/..
   ${CMAKE_CURRENT_SOURCE_DIR}/../internals
   ${CMAKE_CURRENT_SOURCE_DIR}/../../solidcontrolfuture
   ${CMAKE_CURRENT_BINARY_DIR}/../internals
   )

add_subdirectory(tests)

set(knmservice_SRCS
   # defines interface for objects observing connections
   connectionhandler.cpp

   # list of all connections, maintains connectionhandlers
   connectionlist.cpp

   # handles storage of secrets
   secretstorage.cpp

   #defines interface for objects storing secrets
   secretsprovider.cpp

   # provides dbus configure() for config UI
   #connectionlistpersistencedbus.cpp

   # list of things that may be connected: connections and unconfigured networks
   activatablelist.cpp

   # maintains NIC activatable providers
   networkinterfacemonitor.cpp

   # relates connections to network interfaces
   networkinterfaceactivatableprovider.cpp

   # subclass of the above, uses ethernet carrier status to select activatables
   wirednetworkinterfaceactivatableprovider.cpp

   # complex class for managing connections and unconfigured networks for wireless interfaces
   wirelessnetworkinterfaceactivatableprovider.cpp

   # relates gsm connections to network interfaces
   gsmnetworkinterfaceactivatableprovider.cpp

   # interface for tracking activatable events
   activatableobserver.cpp

   # simple debug output observer
   activatabledebug.cpp

   # configures unconfigured devices and new wireless networks on demand and connects them
   configurationlauncher.cpp

   # updates connection state as they are used
   connectionusagemonitor.cpp

   # exports activatables on the session bus to Plasmoids etc
   sessionabstractedservice.cpp

   # creates vpn activatables
   vpninterfaceconnectionprovider.cpp

   # performs KNotifications on events
   notificationmanager.cpp

   # static global definitions of event string ids
   events.cpp

   # sort logic for activatables
   sortedactivatablelist.cpp

   # dialog to ask for PIN code
   pindialog.cpp
   )

kde4_add_ui_files(knmservice_SRCS
   # Ask for PIN unlock code
   pinwidget.ui
)

qt4_add_dbus_adaptor(
    knmservice_SRCS
    interfaces/org.kde.networkmanagement.activatable.xml
    activatable.h
    Knm::Activatable
    activatableadaptor
    ActivatableAdaptor
)

qt4_add_dbus_adaptor(
    knmservice_SRCS
    interfaces/org.kde.networkmanagement.interfaceconnection.xml
    interfaceconnection.h
    Knm::InterfaceConnection
    interfaceconnectionadaptor
    InterfaceConnectionAdaptor
)

qt4_add_dbus_adaptor(
    knmservice_SRCS
    interfaces/org.kde.networkmanagement.wirelessinterfaceconnection.xml
    wirelessinterfaceconnection.h
    Knm::WirelessInterfaceConnection
    wirelessinterfaceconnectionadaptor
    WirelessInterfaceConnectionAdaptor
)

qt4_add_dbus_adaptor(
    knmservice_SRCS
    interfaces/org.kde.networkmanagement.wirelessnetwork.xml
    wirelessnetwork.h
    Knm::WirelessNetwork
    wirelessnetworkadaptor
    WirelessNetworkAdaptor
)

qt4_add_dbus_adaptor(
    knmservice_SRCS
    interfaces/org.kde.networkmanagement.gsminterfaceconnection.xml
    gsminterfaceconnection.h
    Knm::GsmInterfaceConnection
    gsminterfaceconnectionadaptor
    GsmInterfaceConnectionAdaptor
)

qt4_add_dbus_adaptor(knmservice_SRCS
   interfaces/org.kde.networkmanagement.xml
   sessionabstractedservice.h
   SessionAbstractedService
   sessionabstractedserviceadaptor
   SessionAbstractedServiceAdaptor
   )

kde4_add_library(knmservice SHARED ${knmservice_SRCS})

target_link_libraries(knmservice knminternals knmui solidcontrol solidcontrolnm09 solidcontrolfuture ${KDE4_KDECORE_LIBS} ${KDE4_KDEUI_LIBS} ${KDE4_SOLID_LIBS}
   )

set_target_properties(knmservice PROPERTIES
   VERSION ${GENERIC_LIB_VERSION}
   SOVERSION ${GENERIC_LIB_SOVERSION}
   )

install(TARGETS knmservice ${INSTALL_TARGETS_DEFAULT_ARGS})

=== libs/ui/CMakeLists.txt ===
add_definitions(-DKDE_DEFAULT_DEBUG_AREA=51012)

include_directories(
   ${CMAKE_CURRENT_SOURCE_DIR}/..
   ${CMAKE_CURRENT_SOURCE_DIR}/../../solidcontrolfuture
   ${CMAKE_CURRENT_SOURCE_DIR}/../internals
   ${CMAKE_CURRENT_BINARY_DIR}/security
   ${CMAKE_CURRENT_BINARY_DIR}/../internals
   )
## next target: ui library

set(knmui_SRCS
   cdmawidget.cpp
   gsmwidget.cpp
   bluetoothwidget.cpp
   pppwidget.cpp
   pppoewidget.cpp
   security/securitywidget.cpp
   settingwidget.cpp
   connectionwidget.cpp
   ipv4widget.cpp
   ipv4advancedwidget.cpp
   ipv4routeswidget.cpp
   ipv4delegate.cpp
   ipv6widget.cpp
   ipv6advancedwidget.cpp
   ipv6routeswidget.cpp
   ipv6delegate.cpp
   wiredwidget.cpp
   802_11_wirelesswidget.cpp
   accesspoint.cpp
   apitemdelegate.cpp
   apitemmodel.cpp
   networkitemmodel.cpp
   apitemview.cpp
   scanwidget.cpp
   advancedpermissionswidget.cpp

   # top level wireless security widget
   security/wirelesssecuritysettingwidget.cpp
   security/nullsecuritywidget.cpp
   security/wepwidget.cpp
   security/securityleap.cpp
   security/wpapskwidget.cpp
   security/securitydynamicwep.cpp
   security/securitywired8021x.cpp
   # base UI for 802.1x
   security/securityeap.cpp
   # WPA-EAP
   security/wpaeapwidget.cpp
   security/eapmethod.cpp
   security/eapmethodstack.cpp
   security/eapmethodsimple.cpp
   # intermediate subclass for eap methods that use inner auth
   security/eapmethodinnerauth.cpp

   security/eapmethodleap.cpp
   security/ttlswidget.cpp
   security/peapwidget.cpp
   security/tlswidget.cpp

   vpnuiplugin.cpp
   connectionprefs.cpp
   gsmconnectioneditor.cpp
   bluetoothconnectioneditor.cpp
   cdmaconnectioneditor.cpp
   pppoepreferences.cpp
   vpnpreferences.cpp
   wiredpreferences.cpp
   wirelesspreferences.cpp
   connectioneditor.cpp
   connectionsecretsjob.cpp

   simpleipv4addressvalidator.cpp
   simpleipv6addressvalidator.cpp
   listvalidator.cpp
   intvalidator.cpp
   editlistdialog.cpp
   delegate.cpp
   intdelegate.cpp
   )

kde4_add_ui_files(knmui_SRCS
   # Settings
   cdma.ui
   gsm.ui
   bluetooth.ui
   ppp.ui
   pppoe.ui
   connection.ui
   wired.ui
   ipv4.ui
   ipv4advanced.ui
   ipv4routes.ui
   ipv6.ui
   ipv6advanced.ui
   ipv6routes.ui
   802-11-wireless.ui

   # Scan widget for wireless
   scanwidget.ui

   # Advanced permissions editor
   advancedpermissionswidget.ui

   # base wireless security type selector
   security/wirelesssecurity.ui
   # wireless security type specific UIs
   security/wep.ui
   security/leap.ui
   security/wpapsk.ui
   #   WPA-EAP - a stack of eap methods UI
   #   Used for both inner and outer auth methods
   security/eapmethodstackbase.ui

   # simple eap methods eg MD5 and *AP UI
   security/eapmethodsimplebase.ui
   # LEAP
   security/eapmethodleapbase.ui
   # PEAP
   security/eapmethodpeapbase.ui
   # TLS
   security/eapmethodtlsbase.ui
   # TTLS
   security/eapmethodttlsbase.ui
   )

kde4_add_library(knmui SHARED ${knmui_SRCS})
target_link_libraries(knmui knminternals ${KDE4_KDEUI_LIBS} ${KDE4_KIO_LIBS} ${KDE4_SOLID_LIBS} solidcontrol solidcontrolnm09 solidcontrolfuture)

set_target_properties(knmui PROPERTIES
   VERSION ${GENERIC_LIB_VERSION}
   SOVERSION ${GENERIC_LIB_SOVERSION}
   )
install(TARGETS knmui ${INSTALL_TARGETS_DEFAULT_ARGS})

install(FILES networkmanagement_vpnuiplugin.desktop DESTINATION ${SERVICETYPES_INSTALL_DIR})

=== settings/config/CMakeLists.txt ===
add_definitions(-DKDE_DEFAULT_DEBUG_AREA=51013)

include_directories(../../libs)
include_directories(../../libs/internals)
include_directories(../../libs/service)
include_directories(../../libs/ui)
include_directories(../../backends/NetworkManager)
include_directories(${CMAKE_CURRENT_BINARY_DIR})
include_directories(${CMAKE_CURRENT_BINARY_DIR}/../../libs/internals)

## next target: connection editor KCM

set(kcm_networkmanagement_SRCS
   # UI logic
   addeditdeletebuttonset.cpp
   manageconnectionwidget.cpp
   mobileconnectionwizard.cpp
   mobileproviders.cpp
)
#kde4_add_kcfg_files(kcm_knetworkmanager_SRCS ${CMAKE_CURRENT_SOURCE_DIR}/../../libs/storage/knmserviceprefs.kcfgc)

kde4_add_ui_files(kcm_networkmanagement_SRCS manageconnectionwidget.ui)
kde4_add_plugin(kcm_networkmanagement ${kcm_networkmanagement_SRCS})

target_link_libraries(kcm_networkmanagement knm_nm knmui knminternals knmservice solidcontrol solidcontrolnm09 ${KDE4_KDEUI_LIBS} ${KDE4_SOLID_LIBS} ${QT_QTXML_LIBRARY} ${KDE4_KNOTIFYCONFIG_LIBRARY} ${KDE4_KIO_LIBS})

macro_ensure_version("4.4.76" ${KDE_VERSION} IS45)
if (IS45)
   target_link_libraries(kcm_networkmanagement ${KDE4_KCMUTILS_LIBS})
else (IS45)
   target_link_libraries(kcm_networkmanagement ${KDE4_KUTILS_LIBS})
endif (IS45)

## next target: tray config KCM

set(kcm_networkmanagement_tray_SRCS
   addeditdeletebuttonset.cpp
   managetraywidget.cpp
   othersettingswidget.cpp
   )

kde4_add_ui_files(kcm_networkmanagement_tray_SRCS othersettings.ui othersettings.ui)
kde4_add_plugin(kcm_networkmanagement_tray ${kcm_networkmanagement_tray_SRCS})

target_link_libraries(kcm_networkmanagement_tray knminternals ${KDE4_KDEUI_LIBS} ${KDE4_KNOTIFYCONFIG_LIBRARY})

install(TARGETS kcm_networkmanagement kcm_networkmanagement_tray DESTINATION ${PLUGIN_INSTALL_DIR})

install(FILES kcm_networkmanagement.desktop kcm_networkmanagement_tray.desktop DESTINATION ${SERVICES_INSTALL_DIR})

=== settings/configshell/CMakeLists.txt ===
add_definitions(-DKDE_DEFAULT_DEBUG_AREA=51013)

include_directories(../../libs)
include_directories(../../libs/internals)
include_directories(../../libs/service)
include_directories(../../libs/ui)
include_directories(../../backends/NetworkManager)
include_directories(${CMAKE_CURRENT_BINARY_DIR})
include_directories(${CMAKE_CURRENT_BINARY_DIR}/../../libs/internals)

## next target: connection editor shell app for new connections

set(networkmanagement_configshell_SRCS
   main.cpp
   bluetooth.cpp
   manageconnection.cpp
   ../config/mobileconnectionwizard.cpp
   ../config/mobileproviders.cpp
)

kde4_add_executable(networkmanagement_configshell ${networkmanagement_configshell_SRCS})

target_link_libraries(networkmanagement_configshell knm_nm knmui knminternals solidcontrol solidcontrolnm09 ${KDE4_KDEUI_LIBS} ${QT_QTXML_LIBRARY})

target_link_libraries(networkmanagement_configshell ${KDE4_SOLID_LIBS})

macro_ensure_version("4.4.76" ${KDE_VERSION} IS45)
if (IS45)
   target_link_libraries(networkmanagement_configshell ${KDE4_KCMUTILS_LIBS})
else (IS45)
   target_link_libraries(networkmanagement_configshell ${KDE4_KUTILS_LIBS})
endif (IS45)

install(TARGETS networkmanagement_configshell DESTINATION ${LIBEXEC_INSTALL_DIR})

=== solidcontrolfuture/solid/CMakeLists.txt ===
include(MacroEnsureVersion)
macro_optional_find_package(NetworkManager)
    
set(HAVE_NETWORKMANAGER FALSE)
if(NETWORKMANAGER_FOUND)
  macro_ensure_version("0.8.996" ${NETWORKMANAGER_VERSION} NM_0_9)
  if (NM_0_9)
    message(STATUS "Will build networkmanager-0.9")
    set(HAVE_NETWORKMANAGER TRUE)
    add_subdirectory(networkmanager-0.9)
  endif (NM_0_9)
endif (NETWORKMANAGER_FOUND)
macro_log_feature(HAVE_NETWORKMANAGER "NetworkManager" "A daemon for user controlled networking" "http://www.gnome.org/projects/NetworkManager" FALSE "0.9.0" "Needed for building Network Management support in Solid.")

=== solidcontrolfuture/solid/networkmanager-0.9/CMakeLists.txt ===
include_directories(
   ${KDEBASE_WORKSPACE_SOURCE_DIR}/libs
   ${NETWORKMANAGER_INCLUDE_DIRS}
   ${NM-UTIL_INCLUDE_DIRS}
   ${CMAKE_CURRENT_SOURCE_DIR}/dbus
   ${CMAKE_CURRENT_BUILD_DIR}
)

#add_subdirectory(dbus)
#add_subdirectory(fakemanager)

#add_subdirectory(tests)

# TODO: add wimaxnetworkinterface.cpp, wimax-nsp.cpp
set(solid_networkmanager_PART_SRCS
   #NetworkManager-network.cpp
   #NetworkManager-networkmanager.cpp
   #NetworkManager-networkinterface.cpp
   #NetworkManager-wirelessnetwork.cpp
   #NetworkManager-dbushelper.cpp
   accesspoint.cpp
   manager.cpp
   networkinterface.cpp
   wirednetworkinterface.cpp
   wirelessnetworkinterface.cpp
   networkmodeminterface.cpp
   networkbtinterface.cpp
   nmpropertyhelper.cpp
)

# TODO: add dbus/nm-ip6-configinterface.cpp, dbus/nm-device-olpc-mesh.cpp
set( DBUS_INTERFACES_FILES
   dbus/activeconnection.cpp
   dbus/nm-managerinterface.cpp
   dbus/nm-deviceinterface.cpp
   dbus/nm-access-pointinterface.cpp
   dbus/nm-device-ethernetinterface.cpp
   dbus/nm-device-wifiinterface.cpp
   dbus/nm-device-wimaxinterface.cpp
   dbus/nm-device-modeminterface.cpp
   dbus/nm-device-btinterface.cpp
   dbus/nm-ip4-configinterface.cpp
   dbus/nm-dhcp4-configinterface.cpp
)


kde4_add_library(solid_networkmanager09_static STATIC ${solid_networkmanager_PART_SRCS} ${DBUS_INTERFACES_FILES})
target_link_libraries(solid_networkmanager09_static ${KDE4_KDECORE_LIBS} solidcontrolnm09ifaces)

#kde4_add_plugin(solid_networkmanager ${solid_networkmanager_PART_SRCS})
kde4_add_plugin(solid_networkmanager09 module.cpp ${solid_networkmanager_PART_SRCS} ${DBUS_INTERFACES_FILES})

set(NMPROPTEST_SRCS nmpropertyhelper.cpp nmpropertytest.cpp)
#kde4_add_executable(nmpropertytest ${NMPROPTEST_SRCS})
#target_link_libraries(nmpropertytest ${KDE4_KDECORE_LIBS})

target_link_libraries(solid_networkmanager09 ${KDE4_KDECORE_LIBS} ${KDE4_SOLID_LIBS} solidcontrol solidcontrolnm09 solidcontrolnm09ifaces)
install(TARGETS solid_networkmanager09 DESTINATION ${PLUGIN_INSTALL_DIR})

install(FILES solid_networkmanager09.desktop DESTINATION ${SERVICES_INSTALL_DIR}/solidbackends )

kde4_install_icons( ${ICON_INSTALL_DIR} )

=== solidcontrolfuture/libs/solid/control/CMakeLists.txt ===
kde4_no_enable_final(solid)

include_directories( ${CMAKE_SOURCE_DIR}/workspace/libs )

add_subdirectory( ifaces )
#add_subdirectory( backends )
#add_subdirectory( tests )

########### next target ###############

set(solidcontrolnm09_LIB_SRCS
   frontendobject.cpp
   managerbase.cpp
   networking.cpp
   networkmanager.cpp
   networkinterface.cpp
   networkmodeminterface.cpp
   networkbtinterface.cpp
   networkipv4config.cpp
   wirednetworkinterface.cpp
   wirelessaccesspoint.cpp
   wirelessnetworkinterface.cpp
)

qt4_add_dbus_interface(solidcontrolnm09_LIB_SRCS org.kde.Solid.Networking.xml org_kde_solid_networking)

kde4_add_library(solidcontrolnm09 SHARED ${solidcontrolnm09_LIB_SRCS})

target_link_libraries(solidcontrolnm09 ${KDE4_KDECORE_LIBS} ${KDE4_SOLID_LIBS} ${QT_QTNETWORK_LIBRARY} solidcontrolnm09ifaces ${X11_Xrandr_LIB} ${X11_X11_LIB} ${QT_QTGUI_LIBRARY} )

set_target_properties(solidcontrolnm09 PROPERTIES VERSION ${GENERIC_LIB_VERSION} SOVERSION ${GENERIC_LIB_SOVERSION} )
install(TARGETS solidcontrolnm09 EXPORT kdeworkspaceLibraryTargets ${INSTALL_TARGETS_DEFAULT_ARGS} )

########### install files ###############

install( FILES solidnetworkmanagernm09.desktop DESTINATION ${SERVICETYPES_INSTALL_DIR}  )

install( FILES networkmanager.h networkinterface.h 
    wirednetworkinterface.h wirelessnetworkinterface.h
    wirelessaccesspoint.h singletondefs.h networking.h networkipv4confignm09.h solid_control_export.h 
    networkmodeminterface.h networkbtinterface.h
    DESTINATION
${INCLUDE_INSTALL_DIR}/solid/controlnm09 COMPONENT Devel)

=== solidcontrolfuture/libs/solid/control/ifaces/CMakeLists.txt ===


########### next target ###############

set(solidcontrolnm09ifaces_LIB_SRCS
   networkinterface.cpp
   networkmodeminterface.cpp
   networkbtinterface.cpp
   networkmanager.cpp
   wirednetworkinterface.cpp
   wirelessaccesspoint.cpp
   wirelessnetworkinterface.cpp
   )

set(unused
   networkmanager.cpp
   network.cpp
   wirelessnetwork.cpp
   authentication.cpp
   )

kde4_add_library(solidcontrolnm09ifaces SHARED ${solidcontrolnm09ifaces_LIB_SRCS})

target_link_libraries(solidcontrolnm09ifaces  ${KDE4_KDECORE_LIBS} )

set_target_properties(solidcontrolnm09ifaces PROPERTIES VERSION ${GENERIC_LIB_VERSION} SOVERSION ${GENERIC_LIB_SOVERSION} )
install(TARGETS solidcontrolnm09ifaces EXPORT kdeworkspaceLibraryTargets ${INSTALL_TARGETS_DEFAULT_ARGS}  )


########### install files ###############

install( FILES networkmanager.h networkinterface.h networkmodeminterface.h networkbtinterface.h wirednetworkinterface.h wirelessnetworkinterface.h wirelessaccesspoint.h DESTINATION ${INCLUDE_INSTALL_DIR}/solid/controlnm09/ifaces COMPONENT Devel)

=== debian/changelog ===
networkmanagement (0.9~svngit.nm09.20110610.0c83d8-0ubuntu5) oneiric; urgency=low

  * Cherry pick from upstream:
    o fix vpnc connetions
      patches/010_git-5e19d5bbd46ce19f32b8a038fa5121932e905732.patch
      patches/020_git-8894d0de848c4bad7ae689eba62e3f34089b6510.patch

    o Makes kded module starts to emit notifications only after the plasmoid
      has been created
      patches/015_git-785023bf778b7cabbb482cac74b20896a07cb82f.patch

 -- Achim Bohnet <allee@kubuntu.org>  Thu, 29 Sep 2011 19:14:52 +0200

networkmanagement (0.9~svngit.nm09.20110610.0c83d8-0ubuntu4) oneiric; urgency=low

  * No-change rebuild to stop desktop file stripping (LP: #851953)

 -- Harald Sitter <apachelogger@ubuntu.com>  Fri, 16 Sep 2011 17:47:02 +0200

networkmanagement (0.9~svngit.nm09.20110610.0c83d8-0ubuntu3) oneiric; urgency=low

  * debian/patches/nm_versions_comparison.patch: workaround version checking
    issues in UI (and in build...) by specifying a slightly higher minimum
    version number for NM libraries. (LP: #838099)

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Thu, 01 Sep 2011 18:50:44 +0200

networkmanagement (0.9~svngit.nm09.20110610.0c83d8-0ubuntu2) oneiric; urgency=low

  * Build-dep on kde-workspace-dev instead of kdebase-workspace-dev
  * Rebuild for libsolidcontrol transition

 -- Scott Kitterman <scott@kitterman.com>  Fri, 22 Jul 2011 11:17:29 -0400

networkmanagement (0.9~svngit.nm09.20110610.0c83d8-0ubuntu1) oneiric; urgency=low

  * plasma-widget-networkmanagement replaces/breaks
    network-manager-openvpn-kde, network-manager-pptp-kde,
    network-manager-strongswan-kde, network-manager-vpnc-kde
  * Demote network-manager-vpnc, network-manager-openvpn,
    network-manager-pptp to suggests.
  * New upstream snapshot from nm09 branch.
  * Set minimal network-manager version to 0.8.9997.
  * Install solid nm09 lib.
  * Add libxrandr-dev to build-deps.

 -- Felix Geyer <debfx-pkg@fobos.de>  Fri, 10 Jun 2011 17:50:50 +0200

=== debian/control ===
Source: networkmanagement
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Modestas Vainius <modax@debian.org>, Michael Biebl <biebl@debian.org>
Build-Depends: debhelper (>= 7.3.16), cmake (>= 2.6.2), pkg-kde-tools (>= 0.5),
 libqt4-dev (>= 4:4.6.0), kdelibs5-dev (>= 4:4.6.0), kde-workspace-dev,
 network-manager-dev (>= 0.8.1), libnm-util-dev (>= 0.8.9997), mobile-broadband-provider-info,
 libxrandr-dev
Standards-Version: 3.9.2
Vcs-Git: git://git.debian.org/git/pkg-kde/kde-extras/networkmanagement.git
Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-extras/networkmanagement.git

Package: plasma-widget-networkmanagement
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, network-manager (>= 0.8.9997),
 mobile-broadband-provider-info
Suggests: kdebase-workspace-bin, network-manager-vpnc, network-manager-openvpn,
 network-manager-pptp
Recommends: kwalletmanager
Replaces: knm-runtime, network-manager-openvpn-kde, network-manager-pptp-kde,
 network-manager-strongswan-kde, network-manager-vpnc-kde
Breaks: knm-runtime, network-manager-openvpn-kde, network-manager-pptp-kde,
 network-manager-strongswan-kde, network-manager-vpnc-kde
Description: Network Management widget for KDE Plasma workspaces
 This package contains the Network Management plasma widget which aims to
 provide a fully featured GUI for managing networks. Currently, the only
 supported backend is NetworkManager. Support for wired, wireless, mobile
 and VPN networks are provided. The widget is exclusively written for KDE
 Plasma workspaces and it is not supposed to work in other environments.
 .
 In order to start using the widget, look for "Network Management" in the "Add
 Widgets" dialog of the Plasma workspace you're using.

Package: network-manager-kde
Architecture: any
Depends: ${misc:Depends}, plasma-widget-networkmanagement
Description: transitional package for plasma-widget-networkmanagement
 This is a dummy transitional package for plasma-widget-networkmanagement. You
 may safely remove it.

Package: plasma-widget-networkmanagement-dbg
Architecture: any
Section: debug
Priority: extra
Depends: ${misc:Depends}, plasma-widget-networkmanagement (= ${binary:Version})
Recommends: kdelibs5-dbg
Suggests: kdebase-workspace-dbg
Description: debugging symbols for KDE Network Management
 This package provides debugging symbols for all binary packages built from the
 plasma-widget-networkmanagement source package. It's highly recommended to
 have this package installed before reporting any crashes.

## networkmanagement 0.9.0~rc4

=== debian/changelog ===
networkmanagement (0.9.0~rc4-0ubuntu1~oneiric1) oneiric-backports; urgency=low

  * Automated backport upload; no source changes.

 -- Scott Kitterman <ubuntu@kitterman.com>  Fri, 27 Jan 2012 16:19:58 +0000

networkmanagement (0.9.0~rc4-0ubuntu1) precise; urgency=low

  * New upstream release candidate.

 -- Felix Geyer <debfx@ubuntu.com>  Sun, 22 Jan 2012 13:52:50 +0100

networkmanagement (0.9.0~rc3-0ubuntu2) precise; urgency=low

  * Fix network-manager-kde version number in debian/rules

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 09 Jan 2012 17:07:32 +0000

networkmanagement (0.9.0~rc3-0ubuntu1) precise; urgency=low

  * New upstream release (0.8.98 aka 0.9.0 rc3).
  * Drop kubuntu_add_subdirectory_po.diff - merged upstream.
  * Update debian/compat: bump to 8.
  * Update debian/control:
    - bump debhelper build dependency to 8.0.0.
    - fix transitional-package-should-be-oldlibs-extra lintian warning.

 -- Fathi Boudra <fabo@debian.org>  Sun, 01 Jan 2012 09:27:59 +0200

networkmanagement (0.9~svngit.nm09.20111023.ff842e-0ubuntu1) precise; urgency=low

  * New upstream snapshot.
  * Drop all patches, merged upstream.
  * Add kubuntu_add_subdirectory_po.diff to build the translations.

 -- Felix Geyer <debfx-pkg@fobos.de>  Sun, 23 Oct 2011 14:00:13 +0200

=== debian/control ===
Source: networkmanagement
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Modestas Vainius <modax@debian.org>, Michael Biebl <biebl@debian.org>
Build-Depends: cmake (>= 2.6.2),
               debhelper (>= 8.0.0),
               kde-workspace-dev,
               kdelibs5-dev (>= 4:4.6.0),
               libnm-util-dev (>= 0.8.9997),
               libqt4-dev (>= 4:4.6.0),
               libxrandr-dev,
               mobile-broadband-provider-info,
               network-manager-dev (>= 0.8.1),
               pkg-kde-tools (>= 0.5)
Standards-Version: 3.9.2
Vcs-Git: git://git.debian.org/git/pkg-kde/kde-extras/networkmanagement.git
Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-extras/networkmanagement.git

Package: plasma-widget-networkmanagement
Architecture: any
Depends: mobile-broadband-provider-info,
         network-manager (>= 0.8.9997),
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: kdebase-workspace-bin,
          network-manager-openvpn,
          network-manager-pptp,
          network-manager-vpnc
Recommends: kwalletmanager
Replaces: knm-runtime,
          network-manager-openvpn-kde,
          network-manager-pptp-kde,
          network-manager-strongswan-kde,
          network-manager-vpnc-kde
Breaks: knm-runtime,
        network-manager-openvpn-kde,
        network-manager-pptp-kde,
        network-manager-strongswan-kde,
        network-manager-vpnc-kde
Description: Network Management widget for KDE Plasma workspaces
 This package contains the Network Management plasma widget which aims to
 provide a fully featured GUI for managing networks. Currently, the only
 supported backend is NetworkManager. Support for wired, wireless, mobile
 and VPN networks are provided. The widget is exclusively written for KDE
 Plasma workspaces and it is not supposed to work in other environments.
 .
 In order to start using the widget, look for "Network Management" in the "Add
 Widgets" dialog of the Plasma workspace you're using.

Package: network-manager-kde
Architecture: any
Section: oldlibs
Priority: extra
Depends: plasma-widget-networkmanagement, ${misc:Depends}
Description: transitional package for plasma-widget-networkmanagement
 This is a dummy transitional package for plasma-widget-networkmanagement. You
 may safely remove it.

Package: plasma-widget-networkmanagement-dbg
Architecture: any
Section: debug
Priority: extra
Depends: plasma-widget-networkmanagement (= ${binary:Version}), ${misc:Depends}
Recommends: kdelibs5-dbg
Suggests: kdebase-workspace-dbg
Description: debugging symbols for KDE Network Management
 This package provides debugging symbols for all binary packages built from the
 plasma-widget-networkmanagement source package. It's highly recommended to
 have this package installed before reporting any crashes.

=== debian/rules ===
#!/usr/bin/make -f

# DEB_KDE_LINK_WITH_AS_NEEDED ?= yes

DEB_BINARY_VERSION := $(shell dpkg-parsechangelog | grep '^Version: ' | sed 's/^Version: //')
DEB_KNETWORKMANAGER_VERSION := $(shell echo '$(DEB_BINARY_VERSION)' | sed 's/^[[:digit:].]\+/1:0.9.0/')

override_dh_auto_configure:
	dh_auto_configure -Skde -- -DCMAKE_USE_RELATIVE_PATHS=ON \
	                           -DDBUS_SYSTEM_POLICY_DIR=/etc/dbus-1/system.d

override_dh_install:
	dh_install --list-missing

override_dh_gencontrol:
	dh_gencontrol -pnetwork-manager-kde -- -v'$(DEB_KNETWORKMANAGER_VERSION)'
	dh_gencontrol --remaining-packages

%:
	dh $@ --parallel --with kde --dbg-package=plasma-widget-networkmanagement-dbg

.PHONY: override_dh_auto_test

## networkmanagement 0.9.0

=== debian/changelog ===
networkmanagement (0.9.0-1) unstable; urgency=low

  * New upstream release.
  * Add watch file and track unstable releases for now.
  * Install gettext translations.
  * Simplify the way we compute the version number for the network-manager-kde
    dummy package (which needs an epoch).
  * Move dummy transitional package for network-manager-kde into section
    oldlibs with priority extra.
  * Bump Standards-Version to 3.9.3. No further changes.
  * Install network2.svgz icon and remove override for dh_install which is no
    longer necessary.

 -- Michael Biebl <biebl@debian.org>  Tue, 28 Feb 2012 02:41:55 +0100

=== debian/control ===
Source: networkmanagement
Section: kde
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Modestas Vainius <modax@debian.org>, Michael Biebl <biebl@debian.org>
Build-Depends: debhelper (>= 8), cmake (>= 2.6.2), pkg-kde-tools (>= 0.5),
 libqt4-dev (>= 4:4.6.0), kdelibs5-dev (>= 4:4.6.0), kdebase-workspace-dev (>= 4:4.6.0),
 network-manager-dev (>= 0.9.0), libnm-util-dev (>= 0.9.0), mobile-broadband-provider-info
Standards-Version: 3.9.3
Vcs-Git: git://git.debian.org/git/pkg-kde/kde-extras/networkmanagement.git
Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-extras/networkmanagement.git

Package: plasma-widget-networkmanagement
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, network-manager (>= 0.9.0),
 mobile-broadband-provider-info
Suggests: kdebase-workspace-bin
Recommends: kwalletmanager, network-manager-vpnc, network-manager-openvpn, network-manager-pptp
Replaces: knm-runtime
Breaks: knm-runtime
Description: Network Management widget for KDE Plasma workspaces
 This package contains the Network Management plasma widget which aims to
 provide a fully featured GUI for managing networks. Currently, the only
 supported backend is NetworkManager. Support for wired, wireless, mobile
 and VPN networks are provided. The widget is exclusively written for KDE
 Plasma workspaces and it is not supposed to work in other environments.
 .
 In order to start using the widget, look for "Network Management" in the "Add
 Widgets" dialog of the Plasma workspace you're using.

Package: network-manager-kde
Architecture: any
Section: oldlibs
Priority: extra
Depends: ${misc:Depends}, plasma-widget-networkmanagement
Description: transitional package for plasma-widget-networkmanagement
 This is a dummy transitional package for plasma-widget-networkmanagement. You
 may safely remove it.

Package: plasma-widget-networkmanagement-dbg
Architecture: any
Section: debug
Priority: extra
Depends: ${misc:Depends}, plasma-widget-networkmanagement (= ${binary:Version})
Recommends: kdelibs5-dbg
Suggests: kdebase-workspace-dbg
Description: debugging symbols for KDE Network Management
 This package provides debugging symbols for all binary packages built from the
 plasma-widget-networkmanagement source package. It's highly recommended to
 have this package installed before reporting any crashes.

## networkmanagement 0.9.0.1

=== po/CMakeLists.txt ===
find_package(Gettext REQUIRED)
if (NOT GETTEXT_MSGMERGE_EXECUTABLE)
MESSAGE(FATAL_ERROR "Please install msgmerge binary")
endif (NOT GETTEXT_MSGMERGE_EXECUTABLE)
if (NOT GETTEXT_MSGFMT_EXECUTABLE)
MESSAGE(FATAL_ERROR "Please install msgmerge binary")
endif (NOT GETTEXT_MSGFMT_EXECUTABLE)
add_subdirectory(nb)
add_subdirectory(cs)
add_subdirectory(sk)
add_subdirectory(fi)
add_subdirectory(nn)
add_subdirectory(el)
add_subdirectory(hu)
add_subdirectory(pl)
add_subdirectory(ga)
add_subdirectory(se)
add_subdirectory(ca)
add_subdirectory(ar)
add_subdirectory(et)
add_subdirectory(pt)
add_subdirectory(uk)
add_subdirectory(de)
add_subdirectory(km)
add_subdirectory(tr)
add_subdirectory(sv)
add_subdirectory(nl)
add_subdirectory(ja)
add_subdirectory(pt_BR)
add_subdirectory(es)
add_subdirectory(fa)
add_subdirectory(lt)
add_subdirectory(nds)
add_subdirectory(zh_TW)
add_subdirectory(it)
add_subdirectory(da)

=== vpnplugins/novellvpn/CMakeLists.txt ===
include_directories(${CMAKE_CURRENT_SOURCE_DIR}/../../libs/ui)
include_directories(${CMAKE_CURRENT_SOURCE_DIR}/../../libs)
include_directories(${CMAKE_CURRENT_SOURCE_DIR}/../../libs/internals)

set(novellvpn_SRCS
   novellvpn.cpp
   novellvpnwidget.cpp
   )

kde4_add_ui_files(novellvpn_SRCS novellvpnprop.ui novellvpnadvancedprop.ui)

kde4_add_plugin(networkmanagement_novellvpnui ${novellvpn_SRCS})

target_link_libraries(networkmanagement_novellvpnui ${KDE4_KIO_LIBS} knmui knminternals )

install(TARGETS networkmanagement_novellvpnui  DESTINATION ${PLUGIN_INSTALL_DIR})

install( FILES networkmanagement_novellvpnui.desktop  DESTINATION ${SERVICES_INSTALL_DIR})

=== solidcontrolfuture/libs/solid/CMakeLists.txt ===
add_subdirectory( control )

=== debian/changelog ===
networkmanagement (0.9.0.1-0ubuntu2) precise-proposed; urgency=low

  * Rebuild for .pot generation

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 12 Apr 2012 16:32:09 +0100

networkmanagement (0.9.0.1-0ubuntu1) precise; urgency=low

  * New upstream release
  * Add build-dep on libnm-glib-dev

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 09 Apr 2012 14:24:01 +0100

networkmanagement (0.9.0-1ubuntu1) precise; urgency=low

  * Merge from debian unstable (LP: #922168)
    remaining changes:
    - Build-depend on kde-workspace-dev instead of kdebase-workspace-dev 
    - plasma-widget-networkmanagement suggests kde-workspace-bin instead of
      kdebase-workspace-bin
    - plasma-widget-networkmanagement suggests instead of recommends
      network-manager-vpnc, network-manager-openvpn, network-manager-pptp
    - keep Breaks/Replaces for plasma-widget-networkmanagement
    - plasma-widget-networkmanagement-dbg suggests kde-workspace-dbg
      instead of kdebase-workspace-dbg

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 01 Mar 2012 18:51:11 +0100

networkmanagement (0.9.0~rc4-0ubuntu2) precise; urgency=low

  * Cherry pick upstream commit 6a5e30e94ee539b7765eb5ad054bf9e1a6785703
    as fix-and-workaround-graphical-artifacts.diff
    to fix graphical artifacts in buttons with the default plasma theme.

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 11 Feb 2012 20:44:55 +0100

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,19 @@
 Source: networkmanagement
 Section: kde
 Priority: optional
-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Modestas Vainius <modax@debian.org>, Michael Biebl <biebl@debian.org>
-Build-Depends: debhelper (>= 8), cmake (>= 2.6.2), pkg-kde-tools (>= 0.5),
- libqt4-dev (>= 4:4.6.0), kdelibs5-dev (>= 4:4.6.0), kdebase-workspace-dev (>= 4:4.6.0),
- network-manager-dev (>= 0.9.0), libnm-util-dev (>= 0.9.0), mobile-broadband-provider-info
+Build-Depends: cmake (>= 2.6.2),
+               debhelper (>= 8.0.0),
+               kde-workspace-dev (>= 4:4.6.0),
+               kdelibs5-dev (>= 4:4.6.0),
+               libnm-util-dev (>= 0.9.0),
+               libqt4-dev (>= 4:4.6.0),
+               mobile-broadband-provider-info,
+               network-manager-dev (>= 0.9.0),
+               pkg-kde-tools (>= 0.5),
+               libnm-glib-dev
 Standards-Version: 3.9.3
 Vcs-Git: git://git.debian.org/git/pkg-kde/kde-extras/networkmanagement.git
 Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-extras/networkmanagement.git
@@ -14,10 +22,18 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, network-manager (>= 0.9.0),
  mobile-broadband-provider-info
-Suggests: kdebase-workspace-bin
-Recommends: kwalletmanager, network-manager-vpnc, network-manager-openvpn, network-manager-pptp
-Replaces: knm-runtime
-Breaks: knm-runtime
+Suggests: kde-workspace-bin, network-manager-vpnc, network-manager-openvpn, network-manager-pptp
+Recommends: kwalletmanager
+Replaces: knm-runtime,
+          network-manager-openvpn-kde,
+          network-manager-pptp-kde,
+          network-manager-strongswan-kde,
+          network-manager-vpnc-kde
+Breaks: knm-runtime,
+        network-manager-openvpn-kde,
+        network-manager-pptp-kde,
+        network-manager-strongswan-kde,
+        network-manager-vpnc-kde
 Description: Network Management widget for KDE Plasma workspaces
  This package contains the Network Management plasma widget which aims to
  provide a fully featured GUI for managing networks. Currently, the only
@@ -43,7 +59,7 @@
 Priority: extra
 Depends: ${misc:Depends}, plasma-widget-networkmanagement (= ${binary:Version})
 Recommends: kdelibs5-dbg
-Suggests: kdebase-workspace-dbg
+Suggests: kde-workspace-dbg
 Description: debugging symbols for KDE Network Management
  This package provides debugging symbols for all binary packages built from the
  plasma-widget-networkmanagement source package. It's highly recommended to
